'use strict';

var Curry = require("bs-platform/lib/js/curry.js");
var React = require("react");
var Moment = require("moment");

function DatePicker(Props) {
  var match = React.useState(function () {
        return Moment();
      });
  var updateDate = match[1];
  var handleChange = function ($$event) {
    var value = $$event.target.value;
    return Curry._1(updateDate, (function (param) {
                  return Moment(value, "YYYY-MM-DD");
                }));
  };
  return React.createElement(React.Fragment, undefined, React.createElement("input", {
                  type: "date",
                  value: match[0].format("YYYY-MM-DD"),
                  onChange: handleChange
                }));
}

var make = DatePicker;

exports.make = make;
/* react Not a pure module */
